You are not logged in.

#1 2014-05-13 13:30:22

o_caino
Member
Registered: 2013-06-06
Posts: 159

[solved] udiskie and python2-yaml dependency

Yesterday I upgraded udiskie from 0.6.4-1 -> 0.8.0-1
Today I ran udiskie to mount a device and got this

Traceback (most recent call last):
  File "/usr/bin/udiskie", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2829, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 449, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 742, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 639, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: PyYAML

After installing python2-yaml, udiskie worked as usual.
python2-yaml is not listed as a dependency, but I guess it should.

Last edited by o_caino (2014-05-13 15:42:21)

Offline

#2 2014-05-13 14:11:10

loafer
Member
From: the pub
Registered: 2009-04-14
Posts: 1,678

Re: [solved] udiskie and python2-yaml dependency

Take a look at the bug tracker.  It's already been reported.


All men have stood for freedom...
For freedom is the man that will turn the world upside down.
Gerrard Winstanley.

Offline

#3 2014-05-13 15:41:41

o_caino
Member
Registered: 2013-06-06
Posts: 159

Re: [solved] udiskie and python2-yaml dependency

Ok, thanks.

Offline

#4 2014-05-19 14:21:00

axper
Member
Registered: 2013-01-25
Posts: 115

Offline

Board footer

Powered by FluxBB